"use client";

import { MultiStepsForm } from "@/components/MultiStepsForm";
import { useRouter } from "next/navigation";
import React, { useState } from "react";

export default function Destination() {
	const [step, setStep] = useState(1);
	const [purpose, setPurpose] = useState("");
	const [selectedVisa, setSelectedVisa] = useState(0);
	const router = useRouter();

	const handleContinue = () => {
		if (step === 1 && purpose) {
			setStep(step + 1);
		}

		if (step === 2 && selectedVisa) {
			setStep(step + 1);
		}

		if (step === 3) {
			router.push("/obj");
		}
	};

	const handleBack = () => {
		if (step > 1) {
			setStep(step - 1);
		}
	};

	return (
		<div className="flex flex-col items-center bg-indigo-50 h-screen">
			<div className="absolute top-0 py-6 text-lg md:text-2xl font-extrabold left-0 shadow-lg text-emerald-800 bg-white flex w-full items-center justify-center">
				PassportMe
			</div>
			<div className="flex flex-col absolute w-full lg:w-2/3 xl:w-1/2 top-32 px-2">
				<MultiStepsForm
					step={step}
					setStep={setStep}
					purpose={purpose}
					setPurpose={setPurpose}
					selectedVisa={selectedVisa}
					setSelectedVisa={setSelectedVisa}
				/>
				<div className="flex px-12 pb-8 -mb-12 justify-between bg-white">
					<button
						className="px-12 py-3 border border-emerald-700 text-emerald-700 font-bold rounded-xl"
						onClick={handleBack}
					>
						Previous Step
					</button>
					<button
						className="px-12 py-3 bg-emerald-700 font-bold text-white rounded-xl"
						onClick={handleContinue}
					>
						Next Step
					</button>
				</div>
			</div>
		</div>
	);
}
